org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.BUTTON

- All Superinterfaces:
    HamletSpec._, HamletSpec._Block, HamletSpec._Child, HamletSpec._Content, HamletSpec._FontSize, HamletSpec._FontStyle, HamletSpec._ImgObject, HamletSpec._InsDel, HamletSpec._Object, HamletSpec._RawContent, HamletSpec._Script, HamletSpec._Special, HamletSpec._SubSup, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.FontStyle, HamletSpec.Heading, HamletSpec.I18nAttrs, HamletSpec.Listing, HamletSpec.PCData, HamletSpec.Phrase, HamletSpec.Preformatted
  All Known Implementing Classes:
    Hamlet.BUTTON
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.BUTTON
      extends HamletSpec._Block, HamletSpec.PCData, HamletSpec.FontStyle, HamletSpec.Phrase, HamletSpec._Special, HamletSpec._ImgObject, HamletSpec._SubSup, HamletSpec.Attrs

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.BUTTON` | `$accesskey(String cdata)` accessibility key character
    `HamletSpec.BUTTON` | `$disabled()` unavailable in this context
    `HamletSpec.BUTTON` | `$name(String cdata)` name of the value
    `HamletSpec.BUTTON` | `$onblur(String script)` the element lost the focus
    `HamletSpec.BUTTON` | `$onfocus(String script)` the element got the focus
    `HamletSpec.BUTTON` | `$tabindex(int index)` position in tabbing order
    `HamletSpec.BUTTON` | `$type(HamletSpec.ButtonType type)` for use as form button
    `HamletSpec.BUTTON` | `$value(String cdata)` sent to server when submitted

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Block

      `_, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Heading

      `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Listing

      `ol, ol, ul, ul`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Preformatted

      `pre, pre`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Content

      `_`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._RawContent

      `_r`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._FontStyle

      `b, b, b, i, i, i`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._FontSize

      `small, small, small`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Phrase

      `abbr, abbr, abbr, cite, cite, cite, code, code, code, dfn, dfn, dfn, em, em, em, kbd, kbd, kbd, samp, samp, samp, strong, strong, strong, var, var, var`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Special

      `bdo, bdo, br, br, map, map, q, q, q, span, span, span`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._InsDel

      `del, del, ins, ins`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._ImgObject

      `img, img`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Object

      `object, object`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._SubSup

      `sub, sub, sub, sup, sup, sup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

- - ### Method Detail

    - #### $name

          HamletSpec.BUTTON $name(String cdata)

      name of the value
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $value

          HamletSpec.BUTTON $value(String cdata)

      sent to server when submitted
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $type

          HamletSpec.BUTTON $type(HamletSpec.ButtonType type)

      for use as form button
      Parameters:
        `type` -
      Returns:
        the current element builder

    - #### $disabled

          HamletSpec.BUTTON $disabled()

      unavailable in this context
      Returns:
        the current element builder

    - #### $tabindex

          HamletSpec.BUTTON $tabindex(int index)

      position in tabbing order
      Parameters:
        `index` -
      Returns:
        the current element builder

    - #### $accesskey

          HamletSpec.BUTTON $accesskey(String cdata)

      accessibility key character
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $onfocus

          HamletSpec.BUTTON $onfocus(String script)

      the element got the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onblur

          HamletSpec.BUTTON $onblur(String script)

      the element lost the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.